2003-06-28  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	* gnome-x-checks.m4: Add third argument to AC_DEFINE.

2003-05-03  Malcolm Tredinnick <malcolm@commsecure.com.au>
	
	* autogen.sh: Allow users to specify the binary to run instead of
	libtoolize by checking the value of $LIBTOOLIZE. This is apparently an
	issue sometimes on MacOS X and fixes bug #111917.

2003-03-20  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* autogen.sh: use GNOME2_DIR, not GNOME2_PATH which can be
	a ':' separated list.

2002-11-27  Stanislav Brabec  <sbrabec@suse.cz>

	* gnome-pilot.m4: Added missing quotes:
	PISOCK_LIBS="-lpisock -lpisync"

2002-09-20  JP Rosevear  <jpr@ximian.com>

	* gnome-pilot.m4: fix problem where -lpisync was not linked in if
	you didn't specify --with-pisock

2002-09-16  JP Rosevear  <jpr@ximian.com>

	* gnome-pilot.m4: check for pilot-link 0.11.4 by default

2002-09-08  Havoc Pennington  <hp@pobox.com>

	* autogen.sh: hardcode automake-1.4

2002-08-21  JP Rosevear  <jpr@ximian.com>

	* gnome-pilot.m4: add -lpisync to PISOCK_LIBS

2002-05-15  JP Rosevear  <jpr@ximian.com>

	* gnome-pilot.m4: Fix quoting for AC_MSG_*

2002-03-10  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	* Makefile.am:
	Distribute gnome-pilot.m4

2002-02-10  Chema Celorio  <chema@celorio.com>

	* Port to the GNOME 2.0 platform

2002-02-08  Chema Celorio  <chema@celorio.com>

	* configure.in: 0.12.0 here we go
2001-12-11  Israel Escalante <israel@ximian.com>

	* Release 0.10.0.

2001-11-28  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	* gnome-pilot.m4 (PILOT_LINK_HOOK):
	Fixed a typo: inlude -> include

2001-10-24  jacob berkman  <jacob@ximian.com>

	* aclocal-include.m4 (AM_ACLOCAL_INCLUDE): do a test that is not
	only always false, but works with autoconf 2.52 and isn't trying
	to be too smart

2001-10-02  Darin Adler  <darin@bentspoon.com>

	* autogen.sh: Complete intltool support.

2001-10-02  Darin Adler  <darin@bentspoon.com>

	* autogen.sh: Add intltool support.

2001-09-16  Eskil Heyn Olsen  <eskil@eskil.dk>

	* gnome-pilot.m4:
	PISOCK_CFLAGS no longer contains pilot-link version.

2001-09-09  Eskil Heyn Olsen  <eskil@eskil.dk>

	* gnome-pilot.m4:
	Stuff to check version of gnome-pilot

2001-08-20  Pavel Roskin  <proski@gnu.org>

	* gnome-undelfs.m4 (GNOME_UNDELFS_CHECKS): Specify additional
	includes when testing for ext2fs/ext2fs.h.

	* gnome-vfs.m4 (GNOME_WITH_VFS): Specify additional includes
	when testing for rpc/pmap_clnt.h.  Needed for Autoconf 2.50+
	only - older versions don't try to compile headers and ignore
	this argument.

2001-08-04  Darin Adler  <darin@bentspoon.com>

	* .cvsignore: Ignore generated .dep file.

2001-08-02  J.H.M. Dassen (Ray) <jdassen@debian.org>

	* gnome-guile-checks.m4: Made "--without-guile" work. Added $guile_msg 
	  for reporting back.

2001-07-24  Jody Goldberg <jgoldberg@home.com>

	* psiconv.m4 : Add psion macros from Frodo Looijaard <frodol@dds.nl>

2001-07-24  Frederic Crozat  <fcrozat@mandrakesoft.com>

	* gnome-print-check.m4 (AM_PATH_GNOME_PRINT): 
	Correct minimal version test

2001-06-22  Eskil Heyn Olsen  <eskil@eskil.dk>

	* gnome-pilot.m4:
	Fixed the cat of pi-version.h

2001-06-20  Havoc Pennington  <hp@redhat.com>

	* gnome.m4: fix to include the CFLAGS for extra libraries

2001-06-13  Pavel Roskin  <proski@gnu.org>

	* gnome-fileutils.m4: Always explicitly declare main() with the
	return type `int'. Don't use exit() since it may be undeclared.
	Use `return' instead.
	* gnome-pilot.m4: Likewise.
	* gperf-check.m4: Likewise.
	* linger.m4: Likewise.

2001-06-01  Peter Williams  <peterw@ximian.com>

	* autogen.sh: s,Gnome,$PKG_NAME,g

2001-05-24  Arturo Espinosa Aldama  <arturo@ximian.com>

	* 0.5 RELEASE

2001-05-24  jacob berkman  <jacob@ximian.com>

	* gnome-pthread-check.m4 (GNOME_PTHREAD_CHECK): add hp-ux specific
	check from glib

2001-05-19  Jody Goldberg <jgoldberg@home.com>

	* gnome-gettext.m4 : Add BUILD_INCLUDED_LIBINTL so that newer versions
	  work.

2001-04-16  Jaka Mocnik  <jaka@gnu.org>

	* gnome-print-check.m4: change $(cmd) to `cmd` in order to make it
	usable in non-bash bourne shells.

2001-03-01  JP Rosevear  <jpr@ximian.com>

	* gnome-pilot.m4: quote a test and make sure incdir is always set
	so 'cat' works

2001-02-21  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-check.m4: Replaced the awk alchemy with sed alchemy.
	I seems to work now as long as gnome-config is working - but that is
	the whole point of gnome-config, isn't it?

2001-02-19  JP Rosevear  <jpr@ximian.com>

	* gnome-pilot.m4: Revert my previous patch now that gnome-pim and
	evolution are fixed to accomodate the change

2001-02-19  JP Rosevear  <jpr@ximian.com>

	* gnome-pilot.m4: AC_SUBST the PISOCK_LIBDIR var

2001-02-17  Lauris Kaplinski  <lauris@ximian.com>

	* gnome-print-check.m4: Remove most of stuff here, but now
	it at least WORKS

2001-02-07  Kenneth Christiansen  <kenneth@gnu.org>

	* autogen.sh: Added test for xml-i18n-tools if 
	AM_PROG_XML_I18N_TOOLS is found.

2001-01-05  Maciej Stachowiak  <mjs@eazel.com>

	* autogen.sh: Added missing PROG.

2001-01-05  Maciej Stachowiak  <mjs@eazel.com>

	* autogen.sh: xml-i18n-toolize if AM_PROG_XML_I18N_TOOLS is found
	in configure.in.

2000-11-05  Martin Baulig  <baulig@suse.de>

	* gnome-bonobo-check.m4 (BONOBO_CFLAGS, BONOBO_LIBS): Added
	stuff for `bonobox'.

2000-08-01  Pavel Roskin  <proski@gnu.org>

	* curses.m4: AC_WARN replaced with AC_MSG_WARN in comments

2000-06-23  Stanislav Brabec  <utx@penguin.cz>

	* gnome-pilot.m4: Use 'PISOCK_INCLUDEDIR' in pisock version check.

2000-06-17  Dan Winship  <danw@helixcode.com>

	* autogen.sh: exit immediately if aclocal, autoheader, automake,
	or autoconf fails, rather than continuing on with broken state.
	(In the aclocal case, print a hopefully-useful explanatory
	message.)

2000-06-13  Martin Baulig  <baulig@suse.de>

	* gnome-bonobo-check.am (AM_BONOBO_USES_OAF): New macro.
	Checks whether Bonobo uses OAF and defines `BONOBO_USES_OAF'
	if appropriate. Also provides `BONOBO_USES_OAF' automake
	conditional.

2000-06-13  Martin Baulig  <baulig@suse.de>

	* Makefile.am (EXTRA_DIST): Added `gnome-gettext.m4'.
	(gnome_aclocal_DATA): Added `gnome-gettext.m4'.

2000-05-29  Martin Baulig  <baulig@suse.de>

	* gnome-autogen.sh: Moved to the `bin/' directory.

2000-05-29  Martin Baulig  <baulig@suse.de>

	* gnome-autogen.sh: If `USE_GNOME_2_MACROS' is set, use the
	GNOME 2.0 macros from the `macros2' directory.

2000-05-29  Martin Baulig  <baulig@suse.de>

	* gnome-common.m4, Makefile.am: Install macros to
	`$(datadir)/aclocal/gnome-macros' when INSIDE_GNOME_COMMON.

	* gnome-autogen.sh: New file. When using gnome-common instead
	of the macros/ directory, use this in your autogen.sh.

2000-05-15  Russell Steinthal  <rms39@columbia.edu>

	* gnome-pilot.m4 (PILOT_LIBS): An attempt to fix the gnome-pilot
	check on Solaris (`$GNOME_CONFIG ...` returns more than one word,
	so we need quotes around it to keep test from bombing out)

2000-05-01  Dan Winship  <danw@helixcode.com>

	* gnome-pilot.m4 (PILOT_LIBS): "But that trick NEVER works!"
	"This time for sure!"

Sun Apr 23 12:15:14 2000  George Lebl <jirka@5z.com>

	* gnome.m4: add an extra lib of docklets.  These checks are
	  braindamaged though, they don't fail and thus gnome-core for
	  example compiles without gnomecc.  There need to be separate .m4
	  files or checks

2000-04-19  Eskil Heyn Olsen  <deity@eskil.dk>

	* gnome-pilot.m4 (PILOT_LIBS): Changed the error string for gnome-pilot
	(PILOT_LIBS): Fixes the gnome-config check

2000-04-10  Dan Winship  <danw@helixcode.com>

	* gnome-pilot.m4 (PILOT_LIBS): Fix a bug introduced in the
	gnome-pilot-config to "gnome-config gpilot" change that caused not
	having pilot-link installed to become a fatal error.

2000-02-26  James Henstridge  <james@daa.com.au>

	* gnome-gettext.m4: fix up check of LINGUAS variable so that we don't
	get problems when LINGUAS contains `en' and ALL_LINGUAS contains
	`en_GB' for instance.

2000-02-22  Martin Baulig  <martin@home-of-linux.org>

	* autogen.sh: Don't run libtoolize when `NO_LIBTOOLIZE' is set.

2000-02-09  Raja R Harinath  <harinath@cs.umn.edu>

	* autogen.sh: Fix GNUism introduced in the previous fix.

2000-02-08  Miguel de Icaza  <miguel@gnu.org>

	* autogen.sh: Handle non GNU find programs. 

2000-02-05  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-types.m4 (AC_LIBGTOP_CHECK_TYPE): New macro. This
	is an improved version of AC_CHECK_TYPE which takes into account
	that we need to #include some other header files on some systems
	to get some types.
	(GNOME_LIBGTOP_TYPES): Check for <sys/bitypes.h> for Tru64 and
	use AC_LIBGTOP_CHECK_TYPE rather than AC_CHECK_TYPE.

2000-01-26  Dave Camp  <campd@oit.edu>

	* gnome-bonobo-check.m4 Include <bonobo.h> rather than 
	<bonobo/gnome-object.h>

2000-01-26  Dave Camp  <campd@oit.edu>

	* gnome-bonobo-check.m4: Check for bonobo_object_get_type() rather 
	than gnome_object_get_type().

2000-01-23  Peter Teichman  <peter@helixcode.com>

	* gnome-pilot.m4: i broke the version-checking macro for other
	distribs in my last commit. fixing that now.

2000-01-22  Peter Teichman  <peter@helixcode.com>

	* gnome-pilot.m4 (PILOT_LIBS): fix the version-checking macro for
	debian

2000-01-20  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-objc-checks.m4: Look for sched_yield in -lrt, too.
	Suggested by Drazen Kazar <dave@srce.hr>.

2000-01-16  Vadim Strizhevsky  <vadim@optonline.net>

	* gnome-pilot.m4: Fix typo in PILOT_LINK_HOOK.

2000-01-15  Eskil Heyn Olsen  <deity@eskil.dk>

	* gnome-pilot.m4: PILOT_LINK_HOOK now check pilot-link version.
	GNOME_PILOT_CHECK defaults to requiring 0.9.3.

2000-01-09  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-check.m4: Applied patch from R. Bernstein
	<rocky@panix.com> - print a better error message when
	LibGTop's major version number mismatches.

1999-12-25  Martin Baulig  <martin@home-of-linux.org>

	* gnome-pilot.m4: Applied patch from Colin Walters to make
	it compile under Debian GNU/Linux.

1999-12-05  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-checks.m4: Removed all guile variables.

1999-11-18  Jeff Garzik  <jgarzik@mandrakesoft.com>

	* gnome-xml-check.m4: Better scoping of below fix.

1999-11-16  Jeff Garzik  <jgarzik@mandrakesoft.com>

	* gnome-xml-check.m4: always AC_SUBST GNOME_XML_LIB, so that
	output variable will always be present.

1999-11-09  Eskil Heyn Olsen  <deity@eskil.dk>

	* gnome-pilot.m4: uses test -r instead of test -e, was reported as 
	a portability bug wrt solaris.

1999-10-31  Eskil Heyn Olsen  <deity@eskil.dk>

	* gnome-pilot.m4: added PILOT_LINK_CHECK, used by
	GNOME_PILOT_CHECK. Adds --with-pisock=$dir_for_pilot_link.

1999-10-24  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* gnome-ghttp-check.m4: this should be a better fix

1999-10-21  Jacob Berkman  <jberkman@andrew.cmu.edu>

	* gnome-ghttp-check.m4: use a temp value until we know that
	ghttp exists.  This will hopefully fix building on Solaris 
	machines

1999-09-26  Jody Goldberg <jgoldberg@home.com>

	* compiler-flags.m4 : Remove -Wpointer-arith.  It generates large
	  numbers of warnings under glibc2.1.2 with a recent egcs release.
	  The glibc maintainers have suggested removing this flag because it
	  is useless.

1999-09-01  Havoc Pennington  <hp@pobox.com>

	* gnome-xml-check.m4: If you're going to AC_PATH_PROG then use the
	prog you find :-)

1999-08-02  Peter Teichman  <pat4@acpub.duke.edu>

	* removed gnome-conduit-check.m4 - it should be distributed with
	gnome-pilot

1999-07-30  Peter Teichman  <pat4@acpub.duke.edu>

	* gnome-conduit-check.m4: added new file of checks. anything that
	provides a pilot conduit is going to want this

1999-07-07  Tuomas J. Lukka  <lukka@iki.fi>
	* gnome-x-checks.m4: add a comment on how to get gtk-1.3 and
	glib 1.3 from CVS

1999-07-06  Tuomas J. Lukka  <lukka@iki.fi>

	* gnome-x-checks.m4: forbid compiling with Gtk-1.3 for now.
        gnome only works with 1.2 so far. 

1999-07-05  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome.m4: Make "extra library" message slightly easier to read.

Sat Jun 26 01:47:53 1999  Tim Janik  <timj@gtk.org>

	* compiler-flags.m4: give -Wunused to gcc instead of -Wno-unused.

1999-06-11  Tuomas J. Lukka <lukka@iki.fi>

	* gnome-guile-checks.m4: Debian has qt_null in -lqthreads but
 	  no main. Changed both checks for 'main' to qt_null.
	  I hope this is correct - it shouldn't break anything.

1999-05-11  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (MACROS): Add `gnome-bonobo-check.m4'.

1999-05-09  Jacob Berkman  <jberk+@cmu.edu>

	* gnome-bonobo-check.m4: made test program return 0,
	changed BONOBO_CHECK to not return "failure" on success

1999-04-16  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-print-check.m4 (GNOME_PRINT_CHECK): Fix invocation of
	AM_PATH_GNOME_PRINT. 
	* Makefile.am (MACROS): Sort lines.

Sun Mar 28 23:39:48 1999  Norbert Warmuth  <nwarmuth@privat.circular.de>

	* gnome-vfs.m4: Add --with-vfs option. GNOME_VFS_LIBS still needs
	to be fixed but that's not a problem because there's no libvfs, yet.

1999-03-10  Tomislav Vujec  <tvujec@carnet.hr>

	* aclocal-include.m4 (AM_ACLOCAL_INCLUDE): Add ACLOCAL_FLAGS in
	ACLOCAL. This allows maintainer rules to work if any of the macros
	change.

1999-03-10  Tomislav Vujec  <tvujec@carnet.hr>

	* gnome.m4 (GNOME_INIT_HOOK): Wrapped position parameter in
	testing for additional inits. It gets expanded while generating
	configure, resulting in an empty parameter list - syntax error in
	for statement.

1999-03-09  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome.m4 (GNOME_INIT): Add a new paramater, which is passed to
	GNOME_INIT_HOOK. 
	(GNOME_INIT_HOOK): New parameter "additional inits".  This is a
	list like "applets capplet", and the corresponding
	GNOME_APPLETS_LIBS and GNOME_CAPPLETS_LIBS are defined.

1998-03-01  Mark Crichton <crichton@gimp.org>

	* gnome-objc-checks : Added HAVE_GNOME_OBJC conditional

1998-02-27  Gregory McLean <gregm@comstar.net>

	* gnome-x-checks.m4 : Require at least gtk+ 1.2 (pointless getting
	bug reports with an old glib/gtk/gdk set..)

1999-02-25  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-checks.m4: Require LibGTop >= 1.0.0.

1999-02-22  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* compiler-flags.m4: Only add the compilation warnings if the
	compiler is GCC.

1999-02-20  Timur Bakeyev <mc@bat.ru>

	* gnome.m4: Added and exported ZVT_LIBS.

Tue Feb 16 19:35:42 1999  Owen Taylor  <otaylor@redhat.com>

	* gnome-x-checks.m4: Require GTK+-1.1.16.

1999-02-15  Timur Bakeyev <mc@bat.ru>

	* gnome-gettext.m4: Work around a bug in BSDI's native sh, which in-
	correctly expands ${LINGUAS=$ALL_LINGUAS}. Switched to if/fi variant.

1999-02-15  Chris Lahey  <clahey@umich.edu>

	* gnome-print-check.m4: Copied this from libhnj/libhnj.m4.  Almost
	completely replaced the old version.  The only usage difference is
	that it defines GNOME_PRINT_LIBS instead of GNOME_PRINT_LIB and
	defines GNOME_PRINT_CFLAGS as well.

1999-02-10  Martin Baulig  <martin@home-of-linux.org>

	* gnome-objc-checks.m4: Applied a patch from Kenneth Stailey;
	use $CFLAGS when invoking $OBJC so the user can add additional
	include paths.

1999-02-05  Martin Baulig  <martin@home-of-linux.org>

	* compiler-flags.m4: Don't add warning and compiler flags to
	the CFLAGS and CXXFLAGS when they're cached. This fixes the
	problem that CFLAGS and CXXFLAGS get longer and longer each
	time you run a `config.status --recheck'.

1999-02-04  Martin Baulig  <martin@home-of-linux.org>

	* aclocal-include.m4 (INSIDE_GNOME_COMMON): New automake
	conditional that's always false.

	* gnome-common.m4: New file. This defines a `GNOME_COMMON_INIT'
	macro that should be used in all GNOME Applications outside
	the CVS tree.

	* Makefile.am: If we are `INSIDE_GNOME_COMMON', install all
	$(MACROS), autogen.sh, gnome-common.m4 and a newly created
	gnome-macros.dep in `$(datadir)/aclocal/gnome'.

1999-01-24  Timur Bakeyev <mc@bat.ru>

	* gnome-pthread-check.m4: Add recognition of 2 more libraries - 
	pthreads and pthread-support build in libc (as on BSDI).

1999-01-23  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-checks.m4 (GNOME_LIBGTOP_DOCU): New macro. This
	checks whether you have the LibGTop documentation installed and
	defines `HAVE_LIBGTOP_DOCU' if appropriate. Also provides automake
 	conditional.

1999-01-20  Martin Baulig  <martin@home-of-linux.org>

	* acinclude.m4 (ac_result): Unset CATOBJEXT so
	that the macros and Makefiles correctly handle
	disabling NLS when no gettext is found.

1999-01-19  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-cxx-check.m4 (GNOME_CHECK_CXX): Rewrite to be saner.  
	Don't limit yourself to a fixed set of names for the compiler.

1999-01-06 Nat Friedman   <nat@nat.org>

	* Makefile.am (MACROS): Added gnome-print-check.m4 to MACROS

1999-01-05  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-support.m4: Include dirent.h before checking whether
	`scandir' needs to be declared.
	* need-declaration.m4: Revert change.

1999-01-05  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* need-declaration.m4, gnome-support.m4: Fixed the scandir detection.

1998-12-22  Jeff Garzik  <jgarzik@pobox.com>

	* gnome.m4:  Added and exported GNOME_APPLET_LIBS.

1998-12-16  Sebastian Wilhelmi  <wilhelmi@ira.uka.de>

	* gnome-support.m4: Removed all the stuff for argp, that was
	causing gnomesupport not to build.

1998-12-15  Martin Baulig  <martin@home-of-linux.org>

	* gnome-gettext.m4: Add the hacked version of the gettext
	macros that is used in Gtk+ here.

	* autogen.sh: Accept both AM_GNU_GETTEXT and AM_GNOME_GETTEXT.
	 
1998-12-15  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-check.m4: All parts of GNOME will now require
	LibGTop >= 0.99.0 which is the latest version from CVS and
	already feature-freezed for GNOME 1.0.

1998-12-09  Martin Baulig  <martin@home-of-linux.org>

	* aclocal-include.m4 (AM_ACLOCAL_INCLUDE): Make this work
	with more than one directory.

1998-12-08  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-sysdeps.m4: Moved into the LibGTop module.
	This file contains too much stuff that should only be used
	internally in LibGTop, so it's better to have it there.

1998-12-06  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-sysdeps.m4: Recognice OpenBSD as a valid
	system and use the `freebsd' sysdeps directory for it.

Sat Dec  5 23:30:01 PST 1998 Manish Singh <yosh@gimp.org>

	* gnome-guile-checks.m4: clear GUILE_LIBS and GUILE_INCS if
	guile isn't there (quick fix)

1998-12-05  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-sysdeps.m4: Recognice NetBSD as a valid
	system and use the `freebsd' sysdeps directory for it.

1998-12-03  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-sysdeps.m4 (GLIBTOP_LINUX_VERSION_CODE):
	Define this to be the same as LINUX_VERSION_CODE either from
	<linux/version.h> or from the running kernel.

1998-12-02  Raja R Harinath  <harinath@cs.umn.edu>

	* autogen.sh: "Improve" indentation and messages somewhat.

1998-12-01  Jeff Garzik  <jgarzik@pobox.com>

	* autogen.sh:
	Platform fixes.  grep -q is not portable, do not use.

1998-12-01  Changwoo Ryu  <cwryu@adam.kaist.ac.kr>

	* autogen.sh: Run gettextize if needed.
	: Run libtoolize only if configure.in has "^AM_PROG_LIBTOOL".

1998-11-30  Jeff Garzik  <jgarzik@pobox.com>

	* gnome.m4: Re-arranged tests such that "--without-gnome" is
	fully supported.  Not only is the logic now correct, programs
	can test "want_gnome=yes/no" for the results of this arg.

1998-11-27  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-check.m4: All parts of GNOME will now require
	LibGTop >= 0.29.0 which is the latest version from CVS.

1998-11-20  James Henstridge  <james@daa.com.au>

	* gnome.m4(GNOME_INIT_HOOK): Changed the call to GNOME_GNORBA_CHECK
	to GNOME_GNORBA_HOOK([],$2).  Before if you specified that the
	macro should not exit on errors, and you didn't have ORBit, the
	script would fail anyway.

1998-11-17  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-sysdeps.m4: We need to check for <net/if_var.h>
	and conditionally include it before <net/if_isppp.h> in the code
	that check for I4B to make it work on FreeBSD 3.0.

1998-10-25  Marius Vollmer  <mvo@zagadka.ping.de>

	* gnome-guile-checks.m4: Add GUILE_LIBS to LIBS when checking
	whether guile works.  Adding them to LDFLAGS does not work on all
	systems.  (Thanks to Rusty Chris Holleman)

1998-11-12  Andrew T. Veliath  <andrewtv@usa.net>

	* gnome-orbit-check.m4: Remove AC_DEFINE(HAVE_ORBIT). Add
	AM_CONDITIONAL for HAVE_ORBIT.  gnome-gnorba-check.m4: Same with
	HAVE_GNORBA.  Change GNOME_ORBIT_HOOK and GNOME_GNORBA_HOOK to use
	AC_CACHE_CHECK, setting both gnome_cv_orbit_found and
	gnome_cv_gnorba_found.

	* gnome.m4: (GNOME_INIT_HOOK): Add GNOME_GNORBA_CHECK if
	gnome-config is found.  New GNOMEGNORBA_LIBS library variable
	(GNOMEGNORBA_LIBS is a superset of GNOMEUI_LIBS).  Update
	GNOME_LIBDIR and GNOME_INCLUDEDIR to to include the required
	Gnorba info, if it is in a different location.

	* Makefile.am (MACROS): Add gnome-gnorba-check.m4 to Makefile.

	* gnome-gnorba-check.m4: New file.

1998-11-12  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-support.m4 (vsnprintf): Remove easy-vsnprintf hack -- it
	doesn't work for Solaris 2.5 binaries running on Solaris 2.6.
	From Frederic Devernay <devernay@istar.fr>.

1998-11-06  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-support.m4: Fix stupid type (sterror_r -> strerror_r).

1998-11-04  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-support.m4 (need_gnome_support): Set this unconditionally
	to `yes'.  We'll soon be losing this variable.

1998-10-20  Andrew Veliath  <andrewtv@usa.net>

	* gnome-orbit-check.m4 (GNOME_ORBIT_HOOK): Add ORBIT_IDL
	detection; fix failure flag.

1998-10-12  Martin Baulig  <martin@home-of-linux.org>

	* compiler-flags.m4 (warnCFLAGS): Added `-Wno-unused'.

1998-10-11  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-sysdeps.m4 (libgtop_postinstall): Use `:' instead
	of the empty string if there is nothing to do since the empty string
	is no valid shell sytax.

1998-10-11  Marius Vollmer  <mvo@zagadka.ping.de>

	* gnome-guile-checks.m4: Check for "guile-config" and then for
	"build-guile", if guile-config couldn't be found.  Do not
	explicitely include output from "info libdir", it is already
	included in "link".  Use "compile" instead of "info includedir".  Do
	not include "1.2" in error message when Guile can't be found at
	all.

1998-10-11  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-check.m4 (GNOME_INIT_LIBGTOP): Added optional
	third parameter which is the `script-if-enabled' parameter of
	the GNOME_LIBGTOP_HOOOK.

1998-10-05  Karl Eichwalder <ke@suse.de>

	* gnome-xml-check.m4: Fix typo while signaling the error.

1998-10-05  Raja R Harinath  <harinath@cs.umn.edu>

	* compiler-flags.m4 (warnCFLAGS): Remove `-W'.
	(warn-unused): Remove.

1998-10-01  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-sysdeps.m4 (libgtop_postinstall): 
	Added `AC_SUBST(libgtop_postinstall)'. This is used in
	`src/daemon/Makefile.am' to make the server suid root or
	sgid kmem if required.

1998-09-28  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-check.m4: Make it accept libgtop >= 0.25.0 again.

	* gnome-libgtop-sysdeps.m4: Make the default not to build the
	LibGTop examples.

	* compiler-flags.m4 (--enable-warn-unused): New configure parameter
	to add `-Wunused' to the warning flags.

1998-09-27  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-check.m4: Make it require libgtop >= 0.26.2.

1998-09-24  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-ghttp-check.m4: Add checks for -lsocket -lnsl.

1998-09-18  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-support.m4: Remove commented out code.

1998-09-12  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-sysdeps.m4: Added (AC_SUBST): `libgtop_have_sysinfo'.

1998-09-09  Martin Baulig  <baulig@merkur.uni-trier.de>

	* gnome-libgtop-sysdeps.m4: Added check for SMP support.
	(--with-libgtop-smp): New parameter, default is to enable
	it only if you're running configure on a SMP system.
	Added (AC_DEFINE): `HAVE_LIBGTOP_SMP' if enabled.
	(LIBGTOP_SMP): New automake conditional.

1998-09-02  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-support.m4: Remove check for `canonicalize_file_name'.

1998-09-02  Martin Baulig  <martin@home-of-linux.org>

	* gnome-support.m4: Check for canonicalize_file_name () and
 	realpath () and add `canonicalize.o' to LIBOBJS if required.

1998-08-30  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-check.m4: Added (AC_SUBST): `LIBGTOP_VERSION_CODE'.
	Added (AC_DEFINE_UNQUOTED): `LIBGTOP_VERSION', `LIBGTOP_VERSION_CODE',
	`LIBGTOP_{MAJOR,MINOR,MICRO,SERVER}_VERSION'.

1998-08-29  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-check.m4: Make it require libgtop >= 0.26.0.
	Added (AC_SUBST): `LIBGTOP_INTERFACE_AGE' and `LIBGTOP_BINARY_AGE'.

1998-08-27  Christopher Blizzard  <blizzard@appliedtheory.com>

	* gnome-ghttp-check.m4: Umm...I think this works better.  Doesn't
 	break anything anyway.
	Oooo...it actually works now.  Forgot a ,

1998-08-26  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-check.m4 (GNOME_INIT_LIBGTOP): Make it work
	with a brain-dead /bin/sh and a brain-dead /bin/test.

	* gnome-libgtop-check.m4 (GNOME_INIT_LIBGTOP): Use `AC_MSG_WARN'
	if LibGTop cannot be found and the `fail' argument is not given.

1998-08-24  Martin Baulig  <martin@home-of-linux.org>

	* gnome-support.m4 (GCC_NEED_DECLARATIONS): Added `setreuid',
	`setregid' and `getpagesize'.
	(AC_TYPE_UID_T): New check.

1998-08-24  Christopher Blizzard  <blizzard@appliedtheory.com>

	* Makefile.am (MACROS): Add gnome-ghttp-check.m4 to the Makefile.

1998-08-23  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-check.m4 (GNOME_INIT_LIBGTOP): You can give
	this macro two parameters: the required version number and
	an optional `fail' argument to make it fail if LibGTop is
	not found.

1998-08-22  Martin Baulig  <martin@home-of-linux.org>

	* gnome-guile-checks.m4: Added check for `-lnsl' and `-lsocket'
	if `build-guile' cannot be found.

1998-08-20  Raja R Harinath  <harinath@cs.umn.edu>

	* compiler-flags.m4: New file.  Defines the
	GNOME_COMPILER_WARNINGS macro.
	* autogen.sh (conf_flags): Add `--enable-compile-warnings' to list
	of flags passed to `configure'.
	* Makefile.am (MACROS): Add compiler-flags.m4.

1998-08-18  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-check.m4: make it require libgtop >= 0.25.0.
	Added (AC_SUBST): `LIBGTOP_MICRO_VERSION' and `LIBGTOP_EXTRA_LIBS'.

1998-08-17  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-check.m4: Completely rewrote this file. It
	uses now the `libgtop-config' script and also checks for
	correct libgtop version.

1998-08-06  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-sysdeps.m4: Added `freebsd' directory.

1998-08-04  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-x-checks.m4: Define USE_DEVGTK unconditionally to `true'.

1998-08-04  Stuart Parmenter  <pavlov@innerx.net>

	* gnome-x-checks.m4: (AM_PATH_GTK) make it require GTK >= 1.1.1
	dnl'd the dev_gtk since they will have to anyways.

1998-08-04  Sebastian Wilhelmi  <wilhelmi@ira.uka.de>

	* gnome.m4: (GNOME_INIT_HOOK): Call $1 also, if `gnome-config' is
	found and used

1998-08-02  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome.m4 (GNOME_CONFIG): Use the `gnome-config' program if it
	exists. 

1998-08-01  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (EXTRA_DIST): Remove `macros.dep'.

1998-07-30  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-check.m4 (GNOME_LIBGTOP_TYPES): New macro.
	Checks for `u_int64_t' and `int64_t'.

1998-07-29  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-check.m4: Added (AC_SUBST):
	`LIBGTOP_NAMES_LIBS', `LIBGTOP_NAMES_INCS',
	`LIBGTOP_GUILE_LIBS', `LIBGTOP_GUILE_NAMES_LIBS',
	`LIBGTOP_MAJOR_VERSION', `LIBGTOP_MINOR_VERSION',
	`LIBGTOP_VERSION'.

	* gnome-libgtop-sysdeps.m4 (libgtop_sysdeps_dir):
	Added `AC_SUBST(libgtop_sysdeps_dir)'.

1998-07-29  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-support.m4: Check for functions that `error.c' looks for.

1998-07-29  Martin Baulig  <martin@home-of-linux.org>

	* gnome-fileutils.m4 (AM_FUNC_ERROR_AT_LINE): Removed.

	* gnome-support.m4 (AM_FUNC_ERROR_AT_LINE): New check.

1998-07-27  Federico Mena Quintero  <federico@nuclecu.unam.mx>

	* gnome-x-checks.m4: Changed Gtk version test to use
	GTK_HAVE_FEATURES_1_1_0.

Sun Jul 26 13:59:53 EDT 1998  Daniel Veillard <Daniel.Veillard@w3.org>

	* Makefile.am (MACROS): Added gnome-xml-check.m4
	* gnome-xml-check.m4: New file.

1998-07-24  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-check.m4: No longer requiring
	`GNOME_LIBGTOP_SYSDEPS'.

Fri Jul 24 00:45:38 1998  Tom Tromey  <tromey@cygnus.com>

	* Makefile.am (MACROS): Added linger.m4.
	* linger.m4: New file.

Thu Jul 23 22:41:23 1998  Tom Tromey  <tromey@cygnus.com>

	* Makefile.am (MACROS): Added gnome-undelfs.m4, gnome-vfs.m4.
	* gnome-undelfs.m4: New file.
	* gnome-vfs.m4: New file.

1998-07-22  Martin Baulig  <martin@home-of-linux.org>

	* gnome-fileutils.m4: Added some reasonable defaults to allow
	cross compiling; removed `mountlist.o' and `fsusage.o' from
	LIBOBJS.

Tue Jul 21 23:44:53 1998  Tom Tromey  <tromey@cygnus.com>

	* gnome-guile-checks.m4: If no build-guile, link against readline
	before termcap.

1998-07-15  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (MACROS): Add `need-declaration.m4'.

	* gnome-support.m4 (AC_REPLACE_FUNCS): Add memmove, strtod,
	strtol, strtoul.
	(GCC_NEED_DECLARATIONS): New check.  Check whether `gethostname'
	needs to be declared.

	* need-declaration.m4: New file.  Stolen from EGCS.

1998-07-13  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-support.m4 (AC_REPLACE_FUNCS): Add check for `mkstemp'.

Wed Jul  1 13:50:39 1998  Scott D. Heavner  <sdh@po.cwru.edu>

	* curses.m4: add some docs and start using with tcd

1998-06-29  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (MACROS): Add all the `.m4' files here.

Mon Jun 29 11:12:04 1998  Scott D. Heavner  <sdh@po.cwru.edu>

	* curses.m4: Need AC_SUBST(CURSES_INCLUDEDIR) not CURSES_INCLUDES

Mon Jun 29 10:35:22 1998  Scott D. Heavner  <sdh@po.cwru.edu>

	* curses.m4: rm conftext* should read rm conftest*, was leaving 
	conftest.c files around.

1998-06-27  Christopher Blizzard  <blizzard@foo.appliedtheory.com>

	* gnome-objc-checks.m4: Use egcs if it's available.  The gcc that
	ships with RedHat 5.1 doesn't do objc, egcs does.

Fri Jun 26 14:36:08 1998  Scott D. Heavner  <sdh@po.cwru.edu>

	* curses.m4 (AC_CHECK_CURSES): New check. mangled out of mc's
	configure.in 

1998-06-24  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-fileutils.m4 (AM_FUNC_ERROR_AT_LINE): New check.
	(vprintf): New check.
	(ftruncate.c): Remove check.  
	This needs to be further cleaned up to only list what is
	needed for gdiskfree.
	* Makefile.am (MACROS): Add gnome-fileutils.m4.

1998-06-14  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-sysdeps.m4 (LINUX_TABLE): New automake conditional;
	also defines HAVE_LINUX_TABLE.

1998-06-13  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-sysdeps.m4: Added check for the table ()
	system call in the linux kernel.

1998-06-11  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-x-checks.m4 (USE_DEVGTK): Use AC_EGREP_CPP rather than
	AC_CHECK_HEADER.  AC_CHECK_HEADER is fooled by warnings.

	* gnome-support.m4 (AC_PROG_AWK): Look for awk.
	(CROSS_COMPILING): Remove conditional.

Wed Jun 10 14:19:39 EDT 1998 Gregory McLean <gregm@comstar.net>

	* gnome-x-checks.m4: More tweeks to make building against gtk 1.0
	  and gtk1.1 less painful.

1998-06-08  Martin Baulig  <martin@home-of-linux.org>

	* gnome-support.m4 (CROSS_COMPILING): New automake conditional;
	(need_gnome_support): added `AC_SUBST(need_gnome_support)'.

1998-06-07  Martin Baulig  <martin@home-of-linux.org>

	* gnome-guile-checks.m4 (GNOME_CHECK_GUILE): When
	cross-compiling, we now check for `$host_alias-buile-guile'.

1998-06-03  Martin Baulig  <martin@home-of-linux.org>

	* gnome-guile-checks.m4 (GNOME_CHECK_GUILE): Looks also
	in $GNOME_LIBDIR; added failflag: GNOME_CHECK_GUILE(fail)
	will abort if guile cannot be found.

1998-05-23  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-sysdeps.m4 (GNOME_LIBGTOP_HOOK):
	(libgtop_use_machine_h): Set this to true on SunOS.

1998-05-22  Martin Baulig  <baulig@merkur.uni-trier.de>

	* gnome-fileutils.m4 (GNOME_FILEUTILS_CHECKS): New file.
	Imported from `configure.in' in GNU fileutils 3.16. It does
	all the checks that are needed for the diskusage applet.

1998-05-22  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-check.m4 (GNOME_LIBGTOP_HOOK): New file.
	Checks whether libgtop is installed and reads its `libgtopConf.sh'
	file if it can be found. Defines HAVE_LIBGTOP on success and
	provides HAVE_LIBGTOP automake conditional.

1998-05-21  Martin Baulig  <martin@home-of-linux.org>

	* gnome-libgtop-sysdeps.m4 (GNOME_LIBGTOP_SYSDEPS): New file.
	(libgtop_sysdeps_dir): sysdeps directory libgtop uses.
	(libgtop_use_machine_h): define HAVE_GLIBTOP_MACHINE_H if this
	is `yes'.
	(libgtop_need_server): we only need the libgtop server, when
	this has a value of `yes'. Defines NEED_LIBGTOP and NEED_LIBGTOP
	automake conditional.

1998-05-19  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-support.m4 (strerror): New check.
	(sys_errlist): Check for this variable, needed for `strerror'.
	(program_invocation_name, program_invocation_short_name): Change
	method used to check for these.

1998-05-09  Raja R Harinath  <harinath@cs.umn.edu>

	* autogen.sh: Remove simple-minded check for `gtk+'.

Fri Apr 24 16:43:38 1998  Owen Taylor  <otaylor@gtk.org>

	* autogen.sh: Pass the results of the environment variable
	ACLOCAL_FLAGS to aclocal. This allows, for instance,

	 ACLOCAL_FLAGS="-I /home/owen/share/aclocal/" autogen.sh

Sun Apr 19 01:35:53 EDT 1998 Gregory McLean <gregm@comstar.net>

        * gnome-x-checks.m4: Updated the gtk check to check for 1.0.0.

1998-04-08  Raja R Harinath  <harinath@cs.umn.edu>

	* autogen.sh: Update to list newer versions of packages.
	* gnome-support.m4: Add `scandir' to AC_REPLACE_FUNCS.
	Also run AC_HEADER_DIRENT.

1998-03-31  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-support.m4 (AC_REPLACE_FUNCS): Look for vasprintf.

Thu Mar 19 23:23:30 1998  Tom Tromey  <tromey@cygnus.com>

	* gnome.m4: An empty true branch of an `if' statement is not valid
	sh syntax.  If GNOME_INIT_HOOK argument $1 is empty, use ":"
	instead.

1998-03-19  Miguel de Icaza  <miguel@nuclecu.unam.mx>

	* gnome.m4 (GNOME_INIT_HOOK): Provide a way to hook some code to
	execute;  Accept a probe mode.

	(GNOME_INIT): Define in terms of GNOME_INIT_HOOK.

Thu Mar 19 00:17:46 1998  Tom Tromey  <tromey@cygnus.com>

	* gnome-support.m4: Cache results of check for
	program_invocation_short_name, program_invocation_name.  Check to
	make sure argp functions are in a library.

	* gnome-support.m4: Cache results of argp check.

Sun Mar 15 15:54:43 1998  Owen Taylor  <owt1@cornell.edu>

	* gnome-x-checks.m4: Replaced checks for X and GTK
	with AM_PATH_GTK. x_include, X_LIBS, etc, variables no longer
	defined.

1998-03-12  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-support.m4: Add a check for <linewrap.h> -- this enables
	some optimizations when compiling `argp'.

Mon Mar  9 19:32:42 1998  Tom Tromey  <tromey@cygnus.com>

	* gnome-support.m4: Build vsnprintf.o, not vsnprint.o.

1998-03-09  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-support.m4: Add check for `vsnprintf'.

Sun Mar  8 17:04:28 1998  Tom Tromey  <tromey@cygnus.com>

	* gnome-support.m4: Set need_gnome_support shell variable.  Define
	BUILD_GNOME_SUPPORT automake conditional.  Define LTLIBOBJS.  Look
	for argp_domain element in struct argp.

Sat Mar  7 00:04:22 1998  Tom Tromey  <tromey@cygnus.com>

	* gnome-support.m4 (GNOME_SUPPORT_CHECKS): Add argp-pvh.o to
	LIBOBJS.

	* gnome-support.m4 (GNOME_SUPPORT_CHECKS): Check for strnlen().

Wed Mar  4 01:02:55 1998  Tom Tromey  <tromey@cygnus.com>

	* gnome-support.m4 (GNOME_SUPPORT_CHECKS): Check for argp code,
	strndup, program_invocation_name, program_invocation_short_name.

Mon Mar  2 15:27:44 1998  Tom Tromey  <tromey@cygnus.com>

	* gnome-x-checks.m4 (GNOME_X_CHECKS): Also check for SMlib.h; some
	Solaris systems have -lSM but not SMlib.h.

Sun Mar  1 17:49:42 1998  Tom Tromey  <tromey@cygnus.com>

	* gnome.m4 (GNOME_INIT): Changed spacing so --help output looks
	right.

Fri Feb 27 10:05:34 1998  Tom Tromey  <tromey@cygnus.com>

	* gnome-objc-checks.m4 (GNOME_CHECK_OBJC): Set OBJECTIVE_C shell
	variable.

1998-02-26  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-x-checks.m4 (CPPFLAGS): Put $X_CFLAGS here, not in
	$CFLAGS. 
	(GNOME_HAVE_SM): New var.  `true' if we have libSM, `false'
	otherwise. 

1998-02-19  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome.m4: Remove `GNOME_CHECK_GNOME'.

1998-02-18  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-support.m4 (GNOME_SUPPORT_CHECKS): Replace `strcasecmp' if
	necessary. 

1998-02-15  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (MACROS): Add `gnome-pthread-check.m4'.
	* gnome-pthread-check.m4: New file.  Moved pthread check from
	gnome-x-checks.m4 to here.
	* gnome-objc-checks.m4: Use `gnome-pthread-check'.
	(OBJC_LIBS): New config var.
	* gnome-x-checks.m4: Add `AC_DEFINE(HAVE_LIBSM)' if `-lSM' is
	already part of `$x_libs'.
	Move pthread check to new file.

Sat Feb 14 12:45:35 1998  Tom Tromey  <tromey@cygnus.com>

	* Makefile.am (macros.dep): Use single quotes, not double quotes.
	Otherwise bash will interpret `$(...)' incorrectly.
	(EXTRA_DIST): Include macros.dep in distribution.

1998-02-14  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (macros.dep): Put back doubled `$'.  We want the
	expansion to occur in the including Makefile, not here.
	Otherwise, there will be an extra `../' in the rule.

Sat Feb 14 17:41:28 KST 1998  Changwoo Ryu  <cwryu@adam.kaist.ac.kr>

	* autogen.sh: multilple aclocal -I directories.

Sat Feb 14 01:09:37 1998  Tom Tromey  <tromey@cygnus.com>

	* Makefile.am (macros.dep): Removed extra `$' from rule.

	* gnome-x-checks.m4: Only check for -lSM if not already in
	x_libs.

1998-02-13  Raja R Harinath  <harinath@cs.umn.edu>

	* Makefile.am (EXTRA_DIST): Add `autogen.sh'.

	* gnome-objc-checks.m4 (GNOME_INIT_OBJC): Solaris /bin/sh doesn't
	understand `test -e'.

	* autogen.sh: New file.

	* gnome.m4 (GNOME_INIT): Look for gnomeConf.sh in $libdir, where
	the installation actually installs it.

	* Makefile.am (macros.dep): New maintainer rule for handling
	automatic rebuilding of aclocal.m4 if any of the macros change.
	(MACROS): New variable.  List of all `m4' macros in this
	directory.

1998-02-12  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome-support.m4: New file.  Defines GNOME_SUPPORT_CHECKS for
	libsupport.a support.

1998-02-10  Raja R Harinath  <harinath@cs.umn.edu>

	* gnome.m4: New file.  Moved AC_CHECK_GNOME from `configure.in' to
	here, and renamed macro to GNOME_CHECK_GNOME.
	* gnome-x-checks.m4: Likewise, move and renaming AC_GNOME_X_CHECKS 
	to GNOME_X_CHECKS.

	* aclocal-include.m4: New file.  Defines AM_ACLOCAL_INCLUDE macro
	to provide extra search directories to `aclocal'.

*Local Variables:
*backup-inhibited: t
*End:
